emacsen-common 2.0.5 source package in Ubuntu

Changelog

emacsen-common (2.0.5) unstable; urgency=low


  * Don't ignore dependency install scripts in emacs-package-install.  The
    previous code didn't actually update the script name properly in the
    loop where it was trying to install all of an add-on package's
    dependencies.  As a result, none of the dependencies' install scripts
    were actually invoked. Thanks to S├ębastien Villemot
    <email address hidden> for tracking down the problem, and providing
    the patch. (closes: #693472)

  * Invoke each add-on install script correctly as new-style or old-style.
    Previously, emacs-package-install would invoke all of the add-on
    install scripts in a dependency chain as either old-style or
    new-style, based solely on whether or not the package that triggered
    the install was old-style or new-style.  Now it should invoke each
    package's install script based on whether the package itself is
    new-style or old-style, as determined by the presence or absence of
    the policy-required /usr/lib/emacsen-common/packages/compat/PACKAGE
    file.  Thanks to S├ębastien Villemot <email address hidden> for the
    report.  (closes: #693472)

 -- Rob Browning <email address hidden>  Wed, 12 Dec 2012 20:15:05 -0600

Upload details

Uploaded by:
Rob Browning
Uploaded to:
Sid
Original maintainer:
Rob Browning
Architectures:
all
Section:
editors
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Raring: [FULLYBUILT] i386

Downloads

File Size SHA-256 Checksum
emacsen-common_2.0.5.dsc 1.4 KiB fe116496e729beb62bc1f9dd021dcc0622841ac9ec1084d3a149f16c1d1789f3
emacsen-common_2.0.5.tar.gz 17.5 KiB 8d655c6788cac3aca39ed2b0bd383a9dc71e363e189f89642720021f510f8b4d

Available diffs

No changes file available.

Binary packages built by this source

emacsen-common: Common facilities for all emacsen

 This package contains code that is needed by all the (x)emacs
 packages. It will be automatically installed when needed.